function validateEmail(email) {
    var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    return re.test(String(email).toLowerCase());
}

function validatePhone(email) {
var re = /^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$/;
    return re.test(email);
}
function showError(element) {
    element.addClass('error');
    element.parent().find('.error-msg').removeClass('hidden');
    element.focus();
}

function hideError(element) {
    element.removeClass('error');
    element.parent().find('.error-msg').addClass('hidden');
}

function validate() {
    var emailField = $('#email');
    hideError(emailField);
    var validEmail = validateEmail(emailField.val().trim());
    var validPhone = validatePhone(emailField.val().trim());
    if(emailField.val().trim().length == 0 || !validPhone && !validEmail) {
        showError(emailField);
        return false;
    }

    var password = $('#password');
    if(password.val().trim().length < 4 || password.val().trim().length > 60) {
        showError(password);
        return false;
    }

    return true;
}


$(document).ready(function () {
    var showHide = 0;
    var hideTimeout;
    var checked = false;

    function showLabel(element) {
        $(element).parent().find('label').addClass('label-smaller');
        if ($(element).parent().find('.show_hide').length > 0) {
            $(element).parent().find('.show_hide').removeClass('hidden');
        }
        if ($(element).attr('name') == "password") {
            var text = showHide == 0 ? 'SHOW' : 'HIDE';
            if ($(element).parent().find('.show_hide').length == 0) {
                $(element).parent().prepend('<input type="button" class="show_hide" value="' + text + '">');
            } else {
                $(element).parent().find('.show_hide').val(text);
            }
        } else {
            $('.show_hide').remove();
        }
    }

    function hideLabel(element) {
        clearTimeout(hideTimeout);
        if ($(element).val().trim() == "") {
            $(element).parent().find('label').removeClass('label-smaller');
        }
        if ($(element).parent().find('.show_hide').length > 0) {
            $(element).parent().find('.show_hide').addClass('hidden');
        }
        if ($(element).attr('name') == "password") {
            $(element).parent().find('.show_hide').remove();
        }
    }

    $('input.form-control').on('focus', function () {
        showLabel(this);
    });
    $('input.form-control').on('click', function (e) {
        showLabel(this);
    });
    $('input.form-control').on('blur', function () {
        if (hideTimeout !== null) {
            clearTimeout(hideTimeout);
            hideTimeout = null;
        }
        var element = this;
        hideTimeout = setTimeout(function () {
            hideLabel(element);
        }, 300);
    });
    $('.form-group label').on('click', function () {
        $(this).parent().find('input').trigger('click');
    });
    $(document).delegate('input.show_hide', 'click', function () {
        clearTimeout(hideTimeout);
        hideTimeout = null;
        var element = $(this).parent().find('input.form-control').first();
        if ($(element).attr('type') == "password") {
            console.log('hide');
            $(element).attr('type', 'text');
            showHide = 1;
        } else {
            $(element).attr('type', 'password');
            $(this).val('SHOW');
            showHide = 0;
        }
        $(element).click();
    });

    $('.remember_me').on('click', function () {
        checked = !checked;
        $(this).find('input').attr('checked', checked);
    });
});
